<?php

require_once('widgets.inc.php');

/**
 * Контроллер для работы с моделью Paramopac,
 * содержащей настройки OPAC 
 * @author Alex
 */ 
class MessagesController extends WidgetsController{

	var $name = 'Messages';
	var $uses = array('Message', 'RemoteMessage');
	
	/**
	 * RemoteMessage model
	 * @var RemoteMessage
	 */
	var $RemoteMessage;
	
	
	/**
	 * Message model
	 * @var Message
	 */
	var $Message;

	function index($id = null, $source = '', $remote = false) {
		$res = '';
		
		if (!$id) {
			$res = __('Код сообщения не указан',true);
		} elseif ($remote) {
			$res = $this->RemoteMessage->setDataSource($source);
			$res = $this->RemoteMessage->request('get', array('data' => $data, 'url' => $url));
		} else {
			$res = $this->Message->setDataSource($source);
			$keyField = $this->Message->primaryKey;
			$this->Message->recursive = 1;
			/* @var Libelle Libelle */
			$res = $this->Message->find(array($keyField => $id,'Libelle.IdLangueSoft' => $this->IdLangue));
		}
		
		if (key_exists('return', $this->params) && $this->params['return']) {
			return $res;
		}
		
		$this->set('Message', $res);
	}
}
?>