<?php

echo $html->css('/css/ext.examples.css', null, null, false);
echo $html->css('/css/ext.ext-all.css', null, null, false);
echo $html->css('/css/tables.css', null, null, false);
echo $html->css('/css/modal.css', null, null, false);
echo $html->css('/css/search_forms.css', null, null, false);

echo $javascript->link('jquery.min.js', false);

if (isset($filter_form_settings)) {
	echo $this->element('AuthFilterForm', compact('filter_form_settings', 'filter'));
}
?>
<?php
//echo $form->end();

echo $javascript->codeBlock("
jQuery.noConflict(); \$j = jQuery;

\$j.fn.clearForm = function() {
  return this.each(function() {
    var type = this.type, tag = this.tagName.toLowerCase();
    if (tag == 'form')
      return \$j(':input',this).clearForm();
    if (type == 'text' || type == 'password' || tag == 'textarea')
      this.value = '';
    else if (type == 'checkbox' || type == 'radio')
      this.checked = false;
    else if (tag == 'select')
      this.selectedIndex = -1;
  });
};");

echo $javascript->codeBlock("
function clean(form) { 
	jQuery(form).clearForm(); 
	form.submit(); 
}
");
?>
<br/>
 <?php 
 __('Страница');
/* @var $paginator PaginatorHelper */
echo ' '.$paginator->counter(array('separator' => __(' из ',true) )); ?> 
<table cellspacing="0" cellpadding="0" class="liber"> 
    <tr>
        <th class="bold"><?php echo $paginator->sort(__("Автор:",true), 'Auteur.Nom');?></th> 
        <th class="bold"><?php __("Документы");?></th> 
        <th class="bold"><?php __("Ссылки"); ?></th> 
    </tr> 
<?php foreach($auteurs as $auteur) {
	
	$prenom = $auteur['Auteur']['Prenom'];
	if(is_array(Configure::read('opac.auteur.name'))){
		foreach (Configure::read('opac.auteur.name') as $name){
			$prenom = $auteur['Auteur'][$name];
			if(trim($prenom) != '') break;
		}
	}
	$id = $auteur['Auteur']['IdAuteur'];
	$nom_full = $auteur['Auteur']['Nom'].' '.$prenom;
	$link_id  = $auteur['Auteur'][$idField];
	$general_nom_full = '';
	
	if (!empty($auteur['GeneralAuteur'][$idField])) {
	  $link_id = $auteur['GeneralAuteur'][$idField];
	  $prenom_g = $auteur['GeneralAuteur']['Prenom'];
	  if(is_array(Configure::read('opac.auteur.name'))){
	  	foreach (Configure::read('opac.auteur.name') as $name){
	  		$prenom_g = $auteur['GeneralAuteur'][$name];
	  		if(trim($prenom_g) != '') break;
	  	}
	  }
	  $general_nom_full = $auteur['GeneralAuteur']['Nom'].' '.$prenom_g;
	}
	
	$details_url = array("controller" => "auteurs",
	"action" => "view",
	"source" => $source,
	"id" => $link_id);

?>
    <tr> 
        <td><?php echo (empty($general_nom_full) ? $html->link($nom_full, $details_url) : $nom_full);        ?></td>
        <td><?php echo (array_key_exists($id,$noticeCount)) ? $html->link($noticeCount[$id], $details_url) :  '&nbsp;';    ?></td>
        <td><?php echo (empty($general_nom_full) ? $auteur['Auteur']['VoirAussi'].'&nbsp;' : __("смотри", true) . '&nbsp;' . $html->link($general_nom_full, $details_url));?></td>
    </tr> 
<?php } // end foreach ?> 
</table> 
<?php echo $paginator->prev(__("<< Назад ",true)); ?> 
<?php echo $paginator->numbers($filter); ?> 
<?php echo $paginator->next(__(" Вперед >>",true)); ?>
</div>
<!--
<pre>
<?php
// print_r($auteurs);
?>
</pre>
-->
</p>