<?php

echo $javascript->link('jquery.min', false);
echo $javascript->link('jquery.timer.min', false);
echo $javascript->link('jquery.form.min', false);
echo $html->css('/css/search_forms.css', null, null, false);

$notice_id = $book['Book']['IdNotice'];
$detail_url = & $book['detail_url'];
 
//if ($show_details) {
  $page_title_orig = $this->pageTitle;
  $auteur = $bookHelper->author($book);
  $title_short = $bookHelper->title($book);
  $this->pageTitle = $page_title_orig . ' - ' . $auteur . $title_short;

// вывод визуальных элементов
echo $html->tag('h3', $page_title_orig);
echo $html->tag('p', $auteur . ' </br> ' .$bookHelper->title($book));
//}

$progressBar = $this->element('ProgressBar', array('id'=>'progress_bar'));

echo $ajax->form(array('type' => 'post',
  'options' => array(
     'model'=>'Book',
     'id'   =>'form'.$notice_id,
     'update'=>'result'.$notice_id, // div to update
     'url' => array(
        'controller' => 'books',
        'action' => 'do_reservation',
        $notice_id,
        $detail_url['Source'] 
     ),
     'beforeSubmit' => '$("#progress_bar").show()',
	 'success' => '$("#progress_bar").hide()',
  ))); 

// Определение стиля Label по умолчанию
$aLabel = array('style'=>'display: block; padding: 5px 0px 2px 0px;');
// вывод доступных для чтения экземпляров.
if(count($annexesReadonly) > 0){
	echo  __('Для этих филиалов доступно только в читальном зале: ', true)
		.$html->tag('b',implode(', ',$annexesReadonly) . ' </br> ');
}

// Список выбора филиала
//
if(is_array($annexes) && count($annexes) > 0){
	$aLabel['text'] = __('Филиал',true);
	echo $form->input('Reservation.IdAnnexe', array('type'=>'select', 'options'=>$annexes, 'selected'=>coalesce($IdAnnexe, key($annexes)), 'label'=>$aLabel, 'div'=>false));
	echo $form->end(__('Заказать',true));
}else{
	echo $html->tag('b', __('На данный момент заказать нельзя',true));
}

echo $html->div('margined', '', array('id'=>'result'.$notice_id));

if ($show_dubug_pre) { 
  echo $this->element('pre', array('data'=>$book));
  echo $this->element('pre', array('data'=>$annexes));
}

echo $progressBar;
?>