<?php 
/**
 * This element requires this vars: 
 * @var $rating, $numVotes, $notice_id
 * 
 * @return DIV with FORM with id = 'form'.$notice_id
 */

// проверка возможности голосования

$disabled = ' disabled="disabled"';
switch (Configure::read('opac.voting.permission')){
	case 'reg':
		if(is_array($usager)) $disabled = '';
		break;
	case 'all':
		$disabled = '';
		break;
}

if (!isset($notice_id)) return ;
$rating = ($rating) ? $rating : 0;
$numVotes = ($numVotes) ? $numVotes : 0;

$div_text = '';
$div_text.=$ajax->form(array('type' => 'post',
  'options' => array(
     'model'=>'User',
     'id'   =>'form'.$notice_id,
     'update'=>'rating'.$notice_id, // div to update
     'url' => array(
        'controller' => 'ratings',
        'action' => 'add'
     )
  )
));


if (is_int($notice_id)) {
	for ($i=1;$i<=5;$i++) {
		$checked = ($i == round($rating) ? 'checked="checked"' : '');
		$div_text.="<input name=\"star[$notice_id]\" $disabled type=\"radio\" class=\"star\" value=\"$i\" $checked/>";
	}
	if ($rating > 0) $div_text.=$html->div('rating text', ($rating ? "&nbsp;$rating ($numVotes)" : ""));
}
$div_text.=$form->end();
if (isset($append))  $div_text.=$append;
if (isset($prepend)) $div_text =$prepend.$div_text;

echo $html->div(null, $div_text, array('id'=>'rating'.$notice_id));
?>