<?php
/* SVN FILE: $Id: default.ctp 2897 2012-02-07 13:02:37Z alex $ */
/**
 *
 * PHP versions 4 and 5
 *
 * CakePHP(tm) :  Rapid Development Framework <http://www.cakephp.org/>
 * Copyright 2005-2008, Cake Software Foundation, Inc.
 *								1785 E. Sahara Avenue, Suite 490-204
 *								Las Vegas, Nevada 89104
 *
 * Licensed under The MIT License
 * Redistributions of files must retain the above copyright notice.
 *
 * @filesource
 * @copyright		Copyright 2005-2008, Cake Software Foundation, Inc.
 * @link				http://www.cakefoundation.org/projects/info/cakephp CakePHP(tm) Project
 * @package			cake
 * @subpackage		cake.cake.libs.view.templates.layouts
 * @since			CakePHP(tm) v 0.10.0.1076
 * @version			$Revision: 7690 $
 * @modifiedby		$LastChangedBy: nate $
 * @lastmodified	$Date: 2008-10-02 00:56:53 -0400 (Thu, 02 Oct 2008) $
 * @license			http://www.opensource.org/licenses/mit-license.php The MIT License
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<?php echo $html->charset(); ?>
	<title>
		<?php 
		$defaultTitle = array('start'=>__('Электронный каталог Библиотеки - ', true), 'end'=>__(' - AbsOPAC Unicode', true));
		$title = array_merge($defaultTitle, (array)Configure::read('opac.title')); 
		echo $title['start'];
		echo $title_for_layout; 
		echo $title['end']; 
		?>
	</title>
	<?php
	echo $html->meta('icon');
	
	echo $html->css('/css/cake.generic.my');
	$style = ($fstyle = Configure::read('opac.style')) ?  $fstyle : '/css/style.css';
	echo $html->css($style);
	//echo $html->css('/css/style.css');
	echo $html->css('/css/tables.css');
	echo $html->css('/css/search_forms.css');
	
	echo $scripts_for_layout;
	
	if (Configure::read('web20.external.vkontakte')) {
	  echo '<script type="text/javascript" src="http://vkontakte.ru/js/api/share.js?5"></script>';
	}
	?>
</head>
<body>
<div id="wrap">

<div id="header">
<div style="float: left;">
	<h1><a href="#"><?php __('ABSOPAC Unicode');  ?></a></h1>
	<h2><?php __('Электронный каталог нового поколения'); ?></h2>
	<?php 
	if (is_array($aIdLangues = Configure::read('opac.IdLangues')))
	foreach ($aIdLangues as $lang){
		echo $html->link($lang, array('controller'=>'languages','action'=>'switchLanguage', 'lang'=>$lang)).'|';
	}
 ?>
</div>
<?php echo $this->element('LibInfo'); ?>
</div>
<div id="content">

<div id="left">
<h2><?php __('Поиск : '); ?></h2>
<div class="box">
<?php echo $this->element('SearchesMenu'); ?>
</div>
<h2><?php __('Карточка читателя : '); ?></h2>
<div class="box">
<?php echo $this->element('UsagerLogin'); ?>
</div>
</div>

<div id="right">

<div class="contentleft">
<h2><?php echo __('Электронный каталог:  ',true).$title_for_layout; ?></h2>
<div class="contentleftbox">
  <?php echo $content_for_layout; ?>
</div>
</div>
</div>

</div>

<div style="clear: both;"> </div>
<div id="footer">
&copy; <?php __('Все права защищены '); ?> <a href="http://www.libermedia.ru" target="_blank"><?php __('ЗАО "Компания Либэр"');  ?></a>, 2009 | Design by <a href="http://www.minimalistic-design.net" target="_blank">Minimalistic Design
</a>
<?php echo $this->element('LI'); ?>
<?php echo $this->element('MT'); ?>
</div>

</div>
<?php echo $this->element('GA'); ?>
<?php echo $this->element('YM'); ?>
</body>
</html>