<?php
if (Configure::read() == 0):
	$this->cakeError('error404');
endif;
?>
<h3><?php echo sprintf(__('Версия CakePHP %s.', true), Configure::version()); ?></h3>
<a href="https://trac.cakephp.org/wiki/changelog/1.2.x.x"><?php __('Просмотреть лог изменений'); ?> </a>
<br />
<?php
if (Configure::read() > 0):
	Debugger::checkSessionKey();
endif;
?>
<br />
<p>
	<?php
		if (is_writable(TMP)):
			echo '<span class="notice success">';
				__('Ваша временная директория доступна на запись.');
			echo '</span>';
		else:
			echo '<span class="notice">';
				__('Ваша временная директория НЕ доступна на запись.');
			echo '</span>';
		endif;
	?>
</p>
<br />
<p>
	<?php
		$settings = Cache::settings();
		if (!empty($settings)):
			echo '<span class="notice success">';
					echo sprintf(__(' %s используется для кэширования. Для изменения папки кэшироваиня отредактируйте APP/config/core.php ', true), '<em>'. $settings['engine'] . 'Engine</em>');
			echo '</span>';
		else:
			echo '<span class="notice">';
					__('Кэширование НЕ работает.Пожалуйста проверьте настройки в APP/config/core.php');
			echo '</span>';
		endif;
	?>
</p>
<br />
<p>
	<?php
		$filePresent = null;
		if (file_exists(CONFIGS.'database.php')):
			echo '<span class="notice success">';
				__('Файл конфигурации базы данных найден.');
				$filePresent = true;
			echo '</span>';
		else:
			echo '<span class="notice">';
				__('Файл конфигурации базы данных НЕ найден.');
				echo '<br/>';
				__('Переименуйте config/database.php.default в config/database.php');
			echo '</span>';
		endif;
	?>
</p>
<br />
<?php
if (isset($filePresent)):
	uses('model' . DS . 'connection_manager');
	$db = ConnectionManager::getInstance();
	@$connected = $db->getDataSource('default');
?>
<p>
	<?php
		if ($connected->isConnected()):
			echo '<span class="notice success">';
	 			__('Программа может подключиться к базе данных.');
			echo '</span>';
		else:
			echo '<span class="notice">';
				__('Программа НЕ может подключиться к базе данных..');
			echo '<br />';
			echo '<br />';
			echo __('Причина: ');
			
			echo iconv('cp1251', 'UTF-8', mssql_get_last_message());
			echo '</span>';
		endif;
			echo '<br />';
			echo '<br />';
			echo __('Дополнительная информация по подключению к БД доступна ',true).$html->link('здесь', array('controller'=>'AdminInfo'));
	?>
</p>
<?php endif;?>