<div class="ratings index">
<h2><?php __('Рейтинги');?></h2>
<p>
<?php
echo $paginator->counter(array(
'format' => sprintf(__('Страница %s из %s, показаны записи %s из %s, начинается с %s и заканцивается %s записью', true), 
				'%page%','%pages%','%current%','%count%', '%start%','%end%')
));
?></p>
<table cellpadding="0" cellspacing="0">
<tr>
	<th><?php echo $paginator->sort('Номер');?></th>
	<th><?php echo $paginator->sort('Номер модели');?></th>
	<th><?php echo $paginator->sort('Номер записи');?></th>
	<th><?php echo $paginator->sort('Описание');?></th>
	<th><?php echo $paginator->sort('Рейтинг');?></th>
	<th><?php echo $paginator->sort('Проголосовало');?></th>
	<th><?php echo $paginator->sort('Кол-во голосов');?></th>
	<th><?php echo $paginator->sort('IP');?></th>
	<th><?php echo $paginator->sort('Просмотров');?></th>
	<th class="actions"><?php __('Действия');?></th>
</tr>
<?php
$i = 0;
foreach ($ratings as $rating):
	$class = null;
	if ($i++ % 2 == 0) {
		$class = ' class="altrow"';
	}
?>
	<tr<?php echo $class;?>>
		<td>
			<?php echo $rating['Rating']['id']; ?>
		</td>
		<td>
			<?php echo $rating['Rating']['model_id']; ?>
		</td>
		<td>
			<?php echo $rating['Rating']['notice_id']; ?>
		</td>
		<td>
			<?php echo $rating['Rating']['item']; ?>
		</td>
		<td>
			<?php echo $rating['Rating']['rating']; ?>
		</td>
		<td>
			<?php echo $rating['Rating']['votes']; ?>
		</td>
		<td>
			<?php echo $rating['Rating']['numVotes']; ?>
		</td>
		<td>
			<?php echo $rating['Rating']['IP']; ?>
		</td>
		<td>
			<?php echo $rating['Rating']['viewed']; ?>
		</td>
		<td class="actions">
			<?php echo $html->link(__('Просмотр', true), array('action' => 'view', $rating['Rating']['id'])); ?>
			<?php echo $html->link(__('Редактирование', true), array('action' => 'edit', $rating['Rating']['id'])); ?>
			<?php echo $html->link(__('Удаление', true), array('action' => 'delete', $rating['Rating']['id']), null, sprintf(__('Вы действительно хотите удалить # %s?', true), $rating['Rating']['id'])); ?>
		</td>
	</tr>
<?php endforeach; ?>
</table>
</div>
<div class="paging">
	<?php echo $paginator->prev('<< '.__('Назад', true), array(), null, array('class'=>'disabled'));?>
 | 	<?php echo $paginator->numbers();?>
	<?php echo $paginator->next(__('Вперёд', true).' >>', array(), null, array('class' => 'disabled'));?>
</div>
<div class="actions">
	<ul>
		<li><?php echo $html->link(__('Новый рейтинг', true), array('action' => 'add')); ?></li>
	</ul>
</div>
