<?php
echo $html->css('/css/search_forms.css', null, null, false);
echo $html->css('/css/ext.ext-all.css', null, null, false);
echo $html->css('/css/ext.examples.css', null, null, false);
echo $html->css('/css/tables.css', null, null, false);
echo $html->css('/css/modal.css', null, null, false);
//echo $html->css('/css/autosuggest.css', null, null, false);
echo $html->css('/css/jquery.autocomplete.css', null, null, false);
echo $html->css('/css/jquery.treeview.css', null, null, false);

/* @var ajax AjaxHelper */
/* @var $javascript JavaScriptHelper */

$ext = '';
if (Configure::read() == 0) {
	$ext = '.min';
}

// include common 3rd party js
echo $javascript->link('prototype'.$ext, $inline = false);
echo $javascript->link('jquery'.$ext, false);
echo $javascript->link('ext-jquery-adapter'.$ext, false);
echo $javascript->link('ext-all'.$ext, false);
echo $javascript->link('jquery.simplemodal'.$ext, false);
echo $javascript->link('jquery.form'.$ext, false);
echo $javascript->link('jquery.autocomplete'.$ext, false);
echo $javascript->link('jquery.treeview'.$ext, false);
echo $javascript->link('strings', false);
echo $javascript->link('PagingStore'.$ext, false);
echo $javascript->link('ext-lang-ru'.$ext, false);
// i18n
echo $javascript->link('i18n/i18n', false);
echo $javascript->link("i18n/$lang", false);
if (in_array(LIBER_PLUGIN_UHELP, Configure::read(LIBER_PLUGINS))) {
	echo $javascript->link("tooltips", false);
}

echo $javascript->codeBlock('isbdUrl = '.$javascript->value($html->url('/notices/getIsbdAjax')).';');
echo $javascript->codeBlock('exempUrl = '.$javascript->value($html->url('/notices/getExemplaires')).';');
echo $javascript->codeBlock('reservUrl = '.$javascript->value($html->url('/reservations/add')).';');
echo $javascript->codeBlock('liensUrl = '.$javascript->value($html->url('/notices/getLiens')).';');
echo $javascript->codeBlock('noticeUrl = '.$javascript->value($html->url('/notices/index')).';');
echo $javascript->codeBlock('jQuery.noConflict(); $j = jQuery');

$redirectActionUrl = array(
	'controller'=>'notices',
	'action'=>'doRedirect',
	'IdNotice'=>'{0}', 
	'Source' => '{1}', 
	'DetailPageURL' => '{2}'
	);
$redirectLink = $html->link('{3}', $redirectActionUrl, array('target'=>'_blank'));
$redirectLink = $javascript->value($redirectLink);

$GetFullTextUrl = "
function GetFullTextUrl(IdNotice, SourceName, DetailPageURL, HrefText) {
	var fullLink = DetailPageURL.indexOf('http');	
	
	if(fullLink >-1){
		return '<a href=\"'+DetailPageURL+'\" target=\"_blank\">'+ (HrefText ? HrefText : \"Полный текст\") +'</a>'
	}
	if (DetailPageURL != \"\") {
		return ".$redirectLink.'.format(IdNotice, SourceName, encodeURIComponent(DetailPageURL), (HrefText ? HrefText : "Полный текст"));
	} else {
		return "";
	}
}';
echo $javascript->codeBlock($GetFullTextUrl);


// все функции для поиска и отображения результатов
echo $javascript->link('my', false);
// для управления элементами формы поиска
echo $javascript->link('search_form_control.js',false);
echo $javascript->codeBlock("
	function help(action){
		\$j.ajax({
  			url: 'index.php?url=/uhelp/'+action,
  			success: function(data) {
   				// $('.result').html(data);
   				help = eval( '(' + data + ');' );
    			alert(help.text);
 			 }
		});
  	}
");

?>
 	<?php echo $html->css('jquery.tabs'); echo $javascript->link('jquery.tabs'.$ext, false) ?>
 <!--	<a class="button" href="javascript:help('index')"><?php __('справка'); ?></a> -->
 	<div id="container">
	<!--<div id="search_info">-->
	<ul class="tabs-nav">
		<li><a id="new_search" href="#fragment-1"><span><?php __('Поиск'); ?></span></a></li>
		<li><a id="search_history" href="#fragment-2"><span><?php __('История поисков'); ?></span></a></li>
	</ul>
	<br id="br_clear"/>
	<!--</div>-->
	<div id="fragment-1">
	<div class="group" id="results_buttons" style="display: none">
		<a class="button" href="javascript:back_to_search()"><?php __('Уточнить поиск'); ?></a>		
		<a class="button" href="javascript:new_search()"><?php __('Новый поиск'); ?></a>
		<?php 
		if(!empty($usager)){
			echo '<a class="button" href="javascript:add_to_bookmark()">'. __('Добавить на полку',true).'</a>';
		}
		?>
		<a class="button" href="javascript:print()"><?php __('Печать списка'); ?></a>
	</div>
	<div id="search_progress" style="display: none; z-index: 200; height: 100%;">
		<div style="text-align: center;">
		<br />
		<p class='ChampSaisie' style="width: 100%;"><?php __(' Производится поиск... пожалуйста, подождите.'); ?></p>
		<br />
		<?php echo $html->image('progress.gif'); ?>
		</div>
	</div>
<?php
if (@is_array($FormControls)) {
	
	$form_options = array();
	$form_options['id'] = 'search_form';
	$form_options['after'] = 'search_form_after()';
	$form_options['success'] = 'search_form_success(data)';
	$form_options['with'] = 'doSearchRequest.arguments[0].data';
	$form_options['url']  = array('action'=>'simpleSearch');
	$form_options['dataType'] = 'xml';
	$form_options['error'] = 'search_form_fail(request, textStatus, errorThrown)';
	
	echo $ajax->form('simpleSearch', 'POST', $form_options);
	//echo $html->div('group', "Введите критерий поиска:"); // <form id="search_form">
	
	$form_options['data'] = 'doSearchRequest.arguments[0].data';
	echo $javascript->codeBlock("function doSearchRequest() {\n ".$ajax->remoteFunction($form_options)."\n}");
	echo $javascript->event('search_form', 'submit', "addToHistory($('search_form'), Form.serialize('search_form'));");
	
	$source = 'default';
	
	$url = array('action'=>'autocomplete');
	$url = array_merge($url, compact('source', 'FicLog', 'Session', 'Page'));
	$server_url = Router::url($url);
	echo $html->div('', __('Введите параметры поиска и нажмите кнопку "Искать". Для усечения используйте *. ', true), array('class'=>'providesearhparams'));
	//echo $html->link(__('Подробнее о поике...',true),'#',array('title'=>__('Помощь по поиску',true)));
	
	$i = 0;
	foreach ($FormControls as $FormControl) {
		/* @var $form FormHelper */
		$i++;
		$curr_select = $form->select($i.'.field', $options = $AllFormControls, $FormControl, null, false);
		if (key_exists($i-1,$FormControls)) {
			$attr = ($i == 1) ? array('style'=>'visibility: hidden;') : null;
			$curr_oper= $form->select(($i).'.oper', $options = $Operations, null, $attr, false);
		}

		$curr_cond_line = $form -> input($i.'.value', array('label' => '', 'before' => $curr_oper.$curr_select, 'tabindex'=>$i));
		//$curr_cond_line.= $javascript->codeBlock(autosuggest_script($i, $server_url));
		$ac_options = array(
			'dataType'=>'json', 
			'extraParams'=>array('Field'=>"function() { return \$j('#{$i}Field').val(); }"),
			'selectFirst'=>false,
			'delay' => 400,
			'cacheLength' => ''
		);
		
		$curr_cond_line .= $ajax -> autoComplete($i.'.value', $server_url, $ac_options);
		$curr_cond_line .= $javascript->event("{$i}Field", 'change', "jQuery('#{$i}Value').flushCache();");
		echo $curr_cond_line;
		if (in_array(LIBER_PLUGIN_UHELP, Configure::read(LIBER_PLUGINS))){
			echo ($i == 1) ? $html->image('info.png', array('id'=>'search_help')) : '';
		}
		echo "<br />";
		
	}
	echo "<br />";
	echo __('Дата издания: ', true);
	echo $form -> input('between.210_D.start', array('label' => __(' от: ', true), 'div'=>false, 'class' => 'betweenform', 'tabindex'=>$i++));
	echo $form -> input('between.210_D.end'  , array('label' => __(' до: ', true), 'div'=>false, 'class' => 'betweenform', 'tabindex'=>$i++));
	echo "<br />";
	echo '<ul><li>';
	$withFullText = $form->checkbox('exist.856_U', array('checked' => false));
	$withFullText.= $form->label('exist.856_U',  __('Документы с полным текстом',true),array('id'=>'lbl_fullText'));
	echo $html->div(null, $withFullText, array(/*'style' => 'float: right'*/));
	echo '</li>';
	echo "\n<!-- Дополнительные параметры поиска -->\n";
	
	// @todo текст тоже запихнуть в $AdditionFilds
	$outText = array(__("Фильтр по типу документа: ",true),__("Фильтр по филиалам: ",true));
	$i = 0;
	echo "<li><br /><h4>{$outText[0]}</h4></li>";
	//echo '<li>';
	echo '<ul id="types">';
	foreach ($AdditionFilds as $name=>$fields){
		echo '<li>';
		echo '<div>';
		echo $form->checkbox($name.".all",
			array('checked'=>true/*, 'onclick'=>'selectLibFilials("'.$library['confname'].'")'*/));
		echo $form->label($name.".all", __('Все типы документов',true),array('id'=>'lbl_allDocTypes'));
		echo "</div>";
		echo '<ul>';
		foreach ($fields as $key=>$val){
			echo "<li><div>";
			echo $form->checkbox($name.'.'.$key);
			echo $form->label($name.'.'.$key,$val);
			echo "</div></li>\n";
		}
		echo $form -> submit(__('Искать', true), array('id' => 'submitbutton_top', 'class' => 'submit'));
		echo "</ul>\n";
	}
	echo "</ul>\n";
	echo $javascript->codeBlock("jQuery('#types').treeview({ collapsed: true })");
	// конец списка типов документов
	//echo '</li>';
	//echo '<li></li>';
	// библиотеки
	echo "<li><br /><h4>{$outText[1]}</h4></li>";
	//echo '<li>';
	echo '<ul id="sources">';
	$libVarName = "libs";
	$checked = true;
	foreach ($Libraries  as $library){
		echo "<li>";
		echo "<div>";
		echo $form->checkbox($libVarName.".".$library['confname'].".all",
					array('checked'=>$checked, 'onclick'=>'selectLibFilials("'.$library['confname'].'")'));
		echo $form->label($libVarName.".".$library['confname'].".all", $library['name']);
		echo "</div>";
		echo '<ul>';
		//филиалы
		foreach ($library['filials'] as $idFilial=>$filial){
			echo "<li><div>";
			echo $form->checkbox($libVarName.".".$library['confname'].".".$idFilial);
			echo $form->label($libVarName.".".$library['confname'].".".$idFilial, $filial);
			echo "</div></li>\n";
		}
		$checked = false;
		echo "</ul>";
		echo "</li>";
	}
	foreach ($Buttons as $button) {
		echo $form->button($button['text'], $button);
		//echo $form->label($button['name'], $button['text'])."\n";
	}
	echo "</ul>\n"; // конец #sources
	//echo '</li>';
	echo '</ul>';
	
	echo $javascript->codeBlock("jQuery('#sources').treeview({ collapsed: true })");
	
	echo $form -> submit(__('Искать', true), array('id' => 'submitbutton', 'class' => 'submit'));
	echo $form -> button(__('Очистить', true), array('id' => 'cleanform', 'class' => 'submit','onclick'=>"javascript:new_search();"));
	echo $form -> end();
	echo '<br />';
}

?>
<!-- test -->
<div id="tree_projectcategory" ></div>
<!-- end -->

<div id="ct">
<div id="search_result"  style="width: 100%">
</div>
<div id="notice_details">
	<div id="notice_short_tab" class="x-hide-display"><?php __('Выберите запись для просмотра дополнительной информации'); ?></div>
	<div id="notice_isbd_tab" class="x-hide-display"></div>
	<div id="progress2" class="centered" style="display: none;"><?php __('Карточка загружается..'); ?><br /><br /><?php echo $html->image('progress2.gif'); ?></div>
	<div id="progress3" class="centered" style="display: none;"><?php __('Список экземпляров загружается..'); ?><br /><br /><?php echo $html->image('progress2.gif'); ?></div>
	<div id="notice_exemp_tab" class="x-hide-display"></div>
	<div id="notice_liens_tab" class="x-hide-display"></div>
</div>

</div>
<div id="reservation">
	<div class="title"><?php __('Заголовок окна бронирования'); ?></div>
	<div class="message"><?php __('Сообщения об ошибке и предложение о бронировании'); ?></div>
	<?php
	$form_options = array();
	$form_options['id'] = 'reserv_form';
	$form_options['after'] = 'reserv_form_after()';
	$form_options['success'] = 'reserv_form_success(request)';

	echo $ajax -> form($form_options['id'], 'POST', $form_options);
	echo $form -> hidden('Exemplaire.data');
	?>
	<div class="input text">
	<?php 
	echo $form -> label('Usager.CodbarU',__('Логин (штрих-код)'.$form -> text('Usager.CodbarU', array()), true));
	?>
	</div>
	<br style="line-height:0px;"/>
	<div class="input text">
	<?php
	echo $form -> label('Usager.Password', __('Пароль (имя)'.$form -> password('Usager.Password', array()), true));
	?>
	</div>
	<br/>
	<div class="progress" style="display: none;"><?php __('Индикатор процесса бронирования'); ?></div>
	<div class="buttons">
	<?php
	echo $form -> button(__('Бронировать', true), array('id' => 'resButton', 'class' => 'submit', 'onclick' => 'do_reservation($j(this));'));
	echo $form -> button(__('Закрыть', true), array('id' => 'closeButton', 'class' => 'submit  simplemodal-close'));
	echo $form -> button(__('ОК', true), array('id' => 'okButton', 'class' => 'submit  simplemodal-close', 'style'=>'display: none;'));
	echo '</div>';
	echo $form -> end();
	?>	
	
</div>
<?php 
echo '</div>'; // id="fragment-1"
?>
<div id="fragment-2" class="history_tab"></div>
<?php
echo '</div>'; // id="container"
Configure::write('debug', 0);
?>