GO
alter table Notice add  TitreOpac nvarchar(400)
GO

--------      OPAC
--   [.  ][.  / :].[.  ]: [.  ]

GO
/****** Object:  View [dbo].[view_NOTICE_TitreOpac]    Script Date: 04/29/2010 17:43:26 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_NOTICE_TitreOpac]'))
DROP VIEW [dbo].[view_NOTICE_TitreOpac]

GO
/****** Object:  UserDefinedFunction [dbo].[fn_NOTICE_TitreOpac]    Script Date: 04/29/2010 17:42:27 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[fn_NOTICE_TitreOpac]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[fn_NOTICE_TitreOpac]
GO

CREATE FUNCTION [dbo].[fn_NOTICE_TitreOpac] (@IdNotice int) 
RETURNS nvarchar(400) 

AS 
BEGIN 

declare @titre nvarchar(max)
declare @sourcetitre nvarchar(max)
declare @valeur nvarchar(max)
declare @volume nvarchar(300)
declare @part nvarchar(300)
declare @result nvarchar(400)

set @result  = ''

--  
set @sourcetitre=''

	DECLARE cur CURSOR FOR 
	SELECT Valeur 
	FROM dbo.LIEN_NOTICE inner join dbo.Notice_z ON  dbo.LIEN_NOTICE.IdNoticeSource=Notice_z.IdNotice
	WHERE dbo.LIEN_NOTICE.IdNoticeCible = @IdNotice AND 
	(idzone = '200' AND szone = 'a')
	ORDER BY Notice_z.NumOrdre

	OPEN cur
	FETCH NEXT FROM cur
	INTO @valeur
	WHILE @@FETCH_STATUS = 0
	BEGIN
		if (@sourcetitre  != '')
			set @sourcetitre = @sourcetitre+'; '
		set @sourcetitre = @sourcetitre+@valeur
		FETCH NEXT FROM cur
		INTO @valeur
	END 
	CLOSE cur
	DEALLOCATE cur

set @sourcetitre=ltrim(rtrim(@sourcetitre))
if(len(@sourcetitre)>200) 
	set @sourcetitre =left(@sourcetitre, 197)+N'...'

set @result = @sourcetitre

---  /

if(exists(SELECT TOP 1 Valeur 
FROM dbo.Notice_z 
WHERE dbo.Notice_z.idnotice = @IdNotice AND 
((idzone = '461' AND szone = 'v') OR 
 (idzone = '200' AND szone = 'v') OR 
 (idzone = '200' AND szone = 'h'))
))
BEGIN

	set @volume=(SELECT TOP 1 Valeur 
	FROM dbo.Notice_z 
	WHERE dbo.Notice_z.idnotice = @IdNotice AND idzone = '461' AND szone = 'v')

	if(@volume is null)
	set @volume=(SELECT TOP 1 Valeur 
	FROM dbo.Notice_z 
	WHERE dbo.Notice_z.idnotice = @IdNotice AND idzone = '200' AND szone = 'v')

	SET @part = (SELECT TOP 1 Valeur 
	FROM dbo.Notice_z 
	WHERE dbo.Notice_z.idnotice = @IdNotice AND idzone = '200' AND szone = 'h')

	if(@volume is null)
	set @volume=@part

	if(charindex(@part,@volume)=0 and @part is not null)
	set @volume = @volume+', '+@part;

END

if(@volume is not null)
	set @result = @result+'. '+@volume

---  
set @titre  = ''

DECLARE cur CURSOR FOR 
SELECT Valeur 
FROM dbo.Notice_z 
WHERE dbo.Notice_z.idnotice = @IdNotice AND 
(idzone = '200' AND szone = 'a')
ORDER BY NumOrdre

OPEN cur
FETCH NEXT FROM cur
INTO @valeur
WHILE @@FETCH_STATUS = 0
BEGIN
	if (@titre  != '')
		set @titre = @titre+'; '
	set @titre = @titre+@valeur
	FETCH NEXT FROM cur
	INTO @valeur
END 
CLOSE cur
DEALLOCATE cur

set @titre=ltrim(rtrim(@titre))
if(len(@titre)>100) 
	set @titre =left(@titre, 97)+N'...'

if(@titre!=@sourcetitre)
begin
	if(@result!='') 
		set @result = @result+': '
	set @result = @result + @titre
end

--- ,   
set @result = @result + dbo.fn_NOTICE_200e(@IdNotice)

if(len(@result)>300) 
	set @result =left(@result, 297)+N'...'


--  
	set @valeur=(SELECT TOP 1 Valeur 
	FROM dbo.Notice_z 
	WHERE dbo.Notice_z.idnotice = @IdNotice AND idzone = '200' AND szone = 'i')

if(@valeur is not null)
begin
	if(@result  != '') set @result = @result+'. '
	set @result = @result+@valeur
end


---  

SET @volume=''
set @volume=(SELECT TOP 1 Valeur 
FROM dbo.Notice_z 
WHERE dbo.Notice_z.idnotice = @IdNotice AND idzone = '207' AND szone = 'a')

if(@volume is not null)
set @result = @result+'. '+@volume


RETURN left(@result, 400)
END

--------
GO
update NOTICE 
set TitreOpac = dbo.fn_NOTICE_TitreOpac(idNotice)
GO