

--1-------------------------------------------------   ----------------------------

ALTER VIEW [dbo].[view_NOTICE_200ade_503a]
WITH SCHEMABINDING
AS
SELECT IdNoticeZ, IdNotice, IdZone, sZone, valeur FROM dbo.NOTICE_Z 
WHERE 
(IdZone = '200' AND (szone = 'a' OR szone = 'd' OR szone = 'e' OR szone = 'c' OR szone = 'i'))
OR (IdZone = '454' AND szone = 'a')
OR (IdZone = '500' AND (szone = 'a' or szone = '9'))
OR (IdZone = '503' AND szone = 'a')
OR (IdZone = '510' AND szone = 'e')
OR (IdZone = '517' AND szone = 'a')
GO

CREATE UNIQUE CLUSTERED INDEX view_NOTICE_200ade_503a_IDX ON dbo.view_NOTICE_200ade_503a (IdNoticeZ) 
GO

CREATE INDEX view_NOTICE_200ade_503a_ZS_IDX ON dbo.view_NOTICE_200ade_503a (IdNotice, IdZone, sZone) 
GO

CREATE FULLTEXT INDEX ON [dbo].[view_NOTICE_200ade_503a] (Valeur language 'English') KEY INDEX [view_NOTICE_200ade_503a_IDX] ON [cat0] WITH CHANGE_TRACKING AUTO
GO

--1---------------------------------------------------------------------------------------------------------------

