<?php
class Reservation extends AppModel {

	var $name = 'Reservation';
	var $useTable = 'RESERVATION';
	var $primaryKey = 'IdReservation';
	var $actsAs     = array('Containable');

	//The Associations below have been created with all possible keys, those that are not needed can be removed
	var $hasOne = array(
		'ExemplaireResa' => array(
			'className' => 'ExemplaireResa',
			'foreignKey' => 'IdReservation',
			'dependent' => true,
			'conditions' => '',
			'fields' => '',
			'order' => ''
		),
	);
	
	var $belongsTo = array(
		 'Book' =>  array(
 			'className' => 'Book',
 			'foreignKey' => 'IdNotice'
		 )
	);
	
		

	function getUserReserv($idUser){
		$tableName = $this->name;
		$cond = array(
			'conditions' => array("$tableName.idUsager" => $idUser),
			'fields' => array("$tableName.idNotice",
							  //"$tableName.dateResa",
							  ),
		);
		$result = $this->find('all',$cond);
		
		if(count($result) == 0){
			return false;
		}
		
		$res = array();
		foreach ($result as $row){
			$res[] = $row[$tableName];
		}
		return $res;
	}

}
?>