<?php
	// календарь поступлений
	$months = array(
		'01' => __('январь',true),
		'02' => __('февраль',true),
		'03' => __('март',true),
		'04' => __('апрель',true),
		'05' => __('май',true),
		'06' => __('июнь',true),
		'07' => __('июль',true),
		'08' => __('август',true),
		'09' => __('сентябрь',true),
		'10' => __('октябрь',true),
		'11' => __('ноябрь',true),
		'12' => __('декабрь',true)
	);
	
	$min_year = date('Y')-5;
	$now = date('Ym');
	if(is_array($arrivals_dates)){
		foreach ($arrivals_dates as $year=>$stat){
			if($year > $min_year){
				foreach ($months as $m_nom=>$m_name){

					$url = array('action'=>'arraivals_hist','year'=>$year,'month'=>$m_nom);
					$out[$year][$m_nom] = (array_key_exists($m_nom,$stat) && ($now > $year.$m_nom))
							? $html->link($m_name,$url).'('.$stat[$m_nom].')' : $m_name;
				}
			}
		}
	}
	
	echo '<div id="hist3" style="display: inline;">';
	__('Календарь новых поступлений: ');
	echo '<span></span></div>';
	
	echo $javascript->codeBlock("
			$('#hist3').ready(function() {
				years = ".$javascript->object($out).";
				y_text = '';
				$.each(years, function(key, value) {
					y_text += \"&nbsp;<a style='cursor: pointer;' href='javascript:show_months(\"+key+\")'>\"+key+\"</a>\";
				});
				show_years(y_text);		
			});
			function show_months(year){
				if(!year) { 
					$('#months').html('');
					show_years(y_text);
					return;
				}
				$('#months').html('');
				table = '<table style=\"border: 1px solid rgb(153, 204, 255);\"><tr><td colspan=\"4\" align=\"center\"><b>'+year+'</b><span style=\"cursor: pointer; float: right; font-weight: bold; color: #CC0000;\" onClick=\"show_months(0)\">X</span></td></tr>';
				i=0;
				$.each(years[year],function(key, value) {
					value = '<td style=\"border: 1px solid rgb(153, 204, 255);\">'+value+'</td>';
					if(!(i % 4)){
					 	value = '<tr>'+value;
					 	if(i>0) value = '</tr>'+value;
					};
					table += value;
					i++;
				});
				table += '</tr></table>';
				$('#months').append(table);
				//show_years(y_text+hide_year);
			}
			
			function show_years(inner_text){
				$('#hist3 span').html('');
				$('#hist3 span').append(inner_text);
			};
			
	");
	
	if($period == 'hist' && $delay < 0){
		$delay = -$delay;
		list($now_month,$now_year)=explode('-',date('m-Y'));
		$year_dif = floor($delay / 12);
		$month_dif = ($delay % 12)+1;
		$year = ( ($now_month-$month_dif) > 0) ? $now_year-$year_dif : $now_year-$year_dif-1;
		echo $javascript->codeBlock("
			$(document).ready(function() {
				show_months($year);
			});");
	}
	
	echo '<div id="months" style="padding-top:10px;"></div>';
?>