<?php

/* @var $html HtmlHelper */
echo $html->charset();
if (isset($pre)) echo $this->element('pre', array('data'=>$pre));

echo '<div id="ExempList" style="font-size: 12pt; line-height: 20pt;">';
if (empty($Data)) {
	 __('Нет экземпляров для данного описания. Воспользуйтесь вкладкой "Связи" для перехода к экземплярам');
	echo '</div>';
	return;
}

echo '<table id="ExempTable" class="grid liber" cellspacing="0" cellpadding="4">';
echo $html->tableHeaders(array(
__('Филиал', true),
__('Фонд', true),
__('Всего', true),
__('Доступно', true),
__('Бронирование',true)));

foreach ($Data as $row) :
?>
<tr class="exemplaires">
<?php 
$a = & $row['Annexe'];
$IdAnnexe = $a['IdAnnexe'];
$f = & $row['Fond'];
$IdFonds  = $f['IdFonds'];
$total = $row[0]['total'];
$iAvail = $row[0]['Reservable'] - $row[0]['preted'] - $row[0]['reserved'];
if(!$row[0]['isOpacReservable']) {
	$iAvail = 0;
}
if ($iAvail > 0) {
	$sAvail = "<em>{$iAvail}</em>";
} else {
	$sAvail = " - ";
}

echo "<td class=\"annexe\">{$a['Libelle']}</td>";
echo "<td class=\"fond\">{$f['Libelle']}</td>";
echo "<td class=\"total\"> $total</td>";
echo "<td class=\"Available\">$sAvail</td>";
$reserv_link = $html->link(__('Заказать',true), array('controller'=>'books','action'=>'reserve', 'IdAnnexe'=>$IdAnnexe,'IdFonds'=>$IdFonds, $IdNotice), array('target'=>'_blank'));
if(Configure::read('opac.reservation.hide') === 1){
	$iAvail = false;
}
$reserv_link = ($source_ == 'default' && $iAvail) ? $reserv_link : __("Недоступно",true);
echo "<td>$reserv_link</td>";
?>
</tr>
<?php
endforeach;
echo '</table>';

echo '</div>';
?>
<!--
<script language="JavaScript">
$j('#ExempList').ready(function () {
	var idNotice = $j('#ExemplarIdNotice:input').val();

	$j('#ExempTable tbody tr.exemplaires').hover(
	function(){
		$j(this).addClass('hover');
	},
	function(){
		$j(this).removeClass('hover');
	}
	);
})
</script>
-->