/*
* Ext JS Library 2.1
* Copyright(c) 2006-2008, Ext JS, LLC.
* licensing@extjs.com
*
* http://extjs.com/license
*/

// GLOBAL VARS
// can be accessed by name from any function
//
var ct; // Ext.Panel
var grid; // Ext.Grid
var tabs; // Ext.TabPanel
var isbdUrl; // where is isbd?
var myStore;

// define a template to use for the detail view
var bookTplMarkup;
var bookTpl;

Ext.onReady(function() {
	PrepareConrols();
	$j('#container').tabs();
	//ShowResults();
});
// После формирования DOM
jQuery(document).ready(function() {
	$j('[id*=NoticeCateg]').filter('[id!=NoticeCategAll]').click(
	function() {
		 //debugger;
		 if($j(this).attr('checked')) {
		 	$j('#NoticeCategAll').removeAttr('checked');
		 };
	});
	
	$j('#NoticeCategAll').click(
	function() {
		 if($j(this).attr('checked')) {
		 	$j('[id*=NoticeCateg]').filter('[id!=NoticeCategAll]').removeAttr('checked');
		 }
	});
	
	// изменение размера таблицы при изменении размера окна
	if(typeof(grid) != "undefined"){
		$j(window).resize(function (event) { grid.setSize({width: $j('#container').width()-16}) });
	}
});

function PrepareConrols() {
	grid = PrepareGrid();
	tabs = PrepareTabs();
	HideResults();
	//tabs = PrepareTabs(); // notice details here
	//tabs.add($("notice_short_tab"));
	//tabs.add($("notice_isbd_tab"));
}

function LoadData(responseXML) {
	grid.store.loadData(responseXML);
}		

addLink = function(){
    return {
    	reserve : function(v, metaData, r){
    		if(v>0) {
    			r.data.SourceName = r.node.parentNode.getAttribute('name');
            	return '<a href="index.php?url=/books/reserve/IdNotice:'+r.data.IdNotice+'/Source:'+r.data.SourceName+'" target="_blank" class="reserve">Заказ</a><br/>';
    		} 
            else 
            {
            	return ''; 
            }
        },
        fulltext : function(value, metaData, r){
        	url = r.data.DetailPageURL;
        	if(url != '')
        	    //return '<a href="'+url+'" target="_blank">'+value+'</a><br/>';
        	    
        	    return GetFullTextUrl(r.data.IdNotice, r.node.parentNode.getAttribute('name'), r.data.DetailPageURL, value)+'<br/>';
        	else return value;
        }
    }
}();


function LoadIsbd(IdNotice, Source) {
	var req = new Object();
	req.IdNotice  = IdNotice;
	req.source = Source;

	if (isbdUrl != "undefined") {
		$j('#notice_isbd_tab').text('');
		new_progress2 = $j('#progress2').clone().appendTo($j('#notice_isbd_tab'));
		new_progress2.show();

		//new Ajax.Updater('notice_isbd_tab','http://absounicode/SoftUnicode/Modules/Notices/ISBD_Opac.php',
		//debugger;
		new Ajax.Updater('notice_isbd_tab', isbdUrl+'/'+req.IdNotice+'/'+req.source, 
		{
			method: 'get',
			asynchronous:true,
			evalScripts:true,
			requestHeaders:['X-Update', 'notice_isbd_tab'],
			parameters: req
			//onComplete: function () {$j('#progress2').hide();},
			//insertion: 'top'
		});
	}
}

function LoadExemp(IdNotice, Source) {
	if (exempUrl != "undefined") {
		var req = new Object();
		//req.IdSession = 'OPAC';
		//req.FicLog    = 'AbsoUnicodeTurg.txt';
		//req.IdLangue  = 4;
		//req.IdNotice  = 65276;
		req.IdNotice  = IdNotice;
		req.Source = Source;

		$j('#notice_exemp_tab').text('');
		new_progress3 = $j('#progress3').clone().appendTo($j('#notice_exemp_tab'));
		new_progress3.show();


		new Ajax.Updater('notice_exemp_tab', exempUrl+'/'+req.IdNotice+'/'+req.Source,
		{
			method: 'get',
			asynchronous:true,
			evalScripts:true,
			requestHeaders:['X-Update', 'notice_exemp_tab'],
			parameters: req
			//onComplete: function () {$j('#progress3').hide();},
			//insertion: 'top'
		});
	}
}

function LoadLiens(IdNotice, Source) {
	if (liensUrl != "undefined") {
		var req = new Object();
		req.IdNotice  = IdNotice;
		req.Source = Source;

		$j('#notice_liens_tab').text('');
		new_progress4 = $j('#progress3').clone().appendTo($j('#notice_liens_tab'));
		new_progress4.show();


		new Ajax.Updater('notice_liens_tab', liensUrl+'/'+req.IdNotice+'/'+req.Source,
		{
			method: 'get',
			asynchronous:true,
			evalScripts:true,
			requestHeaders:['X-Update', 'notice_liens_tab'],
			parameters: req
		});
	}
}

function ShowResults() {
	$("search_result").show();
	if (grid.getStore().getCount() > 0) {
		$("notice_details").show();
	} else {
		$("notice_details").hide();
	}
	//	grid.show();
}
function HideResults() {
	$("search_result").hide();
	$("notice_details").hide();
}

function PrepareGrid() {

	var edrNotice = Ext.data.Record.create([
	{ name: 'IdNotice', mapping: '@IdNotice' },
	{ name: 'Auteur', mapping: '@Auteur' },
	{ name: 'Titre', mapping: '@Titre' },
	{ name: 'Editeur', mapping: '@Editeur' },
	{ name: 'Date', mapping: '@Date' },
	{ name: 'DetailPageURL', mapping: '@URL'},
	{ name: 'Categ', mapping: '@Libelle' },
	{ name: 'ISBN', mapping: '@ISBN' },
	{ name: 'Cote', mapping: '@Cote' },
	{ name: 'total', mapping: '@total'},
	{ name: 'availible', mapping: '@availible'},
	{ name: 'Resevre', mapping: '@Resevre'}
	//,{ name: 'reserved', mapping: '@reserved'}
	//,{ name: 'pretable', mapping: '@pretable'}
	])

	var store = new Ext.ux.data.PagingStore({
		id: 'MyDataStore',
		// the return will be XML, so lets set up a reader
		reader: new Ext.data.XmlReader({
			// records will have an "notice" tag
			record: 'notice',
			id: 'IdNotice' //,
			//totalRecords: '@total'
		}, edrNotice // use edrNotice as record object
		),
		baseParams: {
			start: 0,
			limit: 15
		},
		proxy: new Ext.data.MemoryProxy()
	});
	
	var Checkbox = new Ext.grid.CheckboxSelectionModel();
	
	// create the grid
	grid = new Ext.grid.GridPanel({
		store: store,
		columns: [
		Checkbox,
		{header: "Заглавие", width: 300, renderer:addLink.fulltext, dataIndex: 'Titre', sortable: true},
		{header: "Автор", width: 120, dataIndex: 'Auteur', sortable: true},
		{header: "Издательство", width: 115, dataIndex: 'Editeur', sortable: true, hidden: true},
		{header: "Год", width: 45, dataIndex: 'Date', sortable: true},
		{header: "Пол. индекс", width: 70, dataIndex: 'Cote', sortable: true},
		{header: "Тип документа", width: 70, dataIndex: 'Categ', sortable: true},
		{header: "Экз.", width: 30, dataIndex: 'total', sortable: false},
		{header: "Доступно", width: 40, dataIndex: 'availible', sortable: false},
		{header: "Заказ", width: 50, renderer: addLink.reserve, dataIndex: 'Resevre', sortable: false}
		//,{header: "pretable", width: 70, dataIndex: 'pretable', sortable: false}
		//,{header: "reserved", width: 70, dataIndex: 'reserved', sortable: false}
		],
		//sm: new Ext.grid.RowSelectionModel({singleSelect: true}),
		//sm: new Ext.grid.CheckboxSelectionModel(),
		sm:  new Ext.grid.CheckboxSelectionModel({
			singleSelect:false
		}),
		renderTo: 'search_result',
		viewConfig: {
			forceFit: true
		},
		height:370,
		split: true,
		//layout:'fit',
		collapsible: false,
		//bodyStyle: 'padding:15px',

		width: $('search_result').getWidth(),
		region: 'center',
		bbar: new Ext.PagingToolbar({
			pageSize: 15,
			store: store,
			displayInfo: true,
			displayMsg: __('Отображены резульаты {0} - {1} из {2}'),
			emptyMsg: __('ничего не найдено'),
			afterPageText : __(' из {0}'),
			beforePageText: __('Страница ')
		})
	});
	
	grid.getView().getRowClass = function(record, index) {
		var style = (record.data.DetailPageURL != "" ? 'blue-row' : '');
		style += (index%2)?' odd':' even';
		return style;
	}

	// define a template to use for the detail view
	bookTplMarkup = [
	'<b>{Categ}</b> {Source}<br/>',
	__('Заглавие:')+' <a href="index.php?url=/notices/index/{IdNotice}/{SourceName}" target="_blank">{Titre}</a><br/>',
	__('Автор:')+' {Auteur}<br/>',
	__('Издательство:')+' {Editeur}<br/>',
	__('Год издания:')+' {Date}<br/>',
	__('Пол. индекс:')+' {Cote}<br/>',
	'ISBN: {ISBN}<br/>',
	'{FullTextLink}'
	];
	bookTpl = new Ext.Template(bookTplMarkup);

	grid.getSelectionModel().on('rowselect', function(sm, rowIdx, r) {
		//var detailPanel = Ext.getCmp('detailPanel');
		r.data.Source = r.node.parentNode.getAttribute('title');
		r.data.SourceName = r.node.parentNode.getAttribute('name');
		if (typeof GetFullTextUrl == "function") {
			r.data.FullTextLink = GetFullTextUrl(r.data.IdNotice, r.data.SourceName, r.data.DetailPageURL);
		}
		bookTpl.overwrite($("notice_short_tab"), r.data);
		var Source = r.node.parentNode.getAttribute('name');
		LoadIsbd(r.data.IdNotice, Source);
		LoadExemp(r.data.IdNotice, Source);
		LoadLiens(r.data.IdNotice, Source);
	});

	return grid;
};

function PrepareTabs() {
	var tabs = new Ext.TabPanel({
		renderTo: 'notice_details',
		/*
		collapsible: true,
		split: true,
		bodyStyle: 'padding:15px',
		*/

		//layout:'fit',
		region:'south',
		activeTab: 0,
		items:[
		{contentEl:'notice_short_tab', autoScroll: true, title:'Краткая информация'},
		{contentEl:'notice_isbd_tab', autoScroll: true, id: 'isbd', title:'Библ. описание'},
		{contentEl:'notice_exemp_tab', autoScroll: true, id: 'exemp', title:'Экземпляры'},
		{contentEl:'notice_liens_tab', autoScroll: true, id: 'liens', title:'Связанные описания'}
		],
		height: 200
	})
	return tabs;
}

function search_form_after() {
	HideResults();
	$("search_form").hide();
	$("search_progress").show();
	$("results_buttons").show();
	return;
}

var search_number = 0;

function addToHistory(SearchForm, Data) {
	search_number++;
	var cur = $j('.history').length;
	if (cur >= 10) {
		$j('.history:last').remove();
	}

	var human_req = '';
	human_req = getHumanRequest(SearchForm);

	$j('.history_tab').prepend("<div class=\"history\"><a href=\"#fragment-1\">Поиск {0}:</a> {1}</div>".format(search_number, human_req));
	$j('.history:first').data('search_form', Data);
	$j('.history:first').bind("click", function(){
		$j('#container').triggerTab(1);
		doSearchRequest({data: $j(this).data('search_form')});
	});
}

function getHumanRequest(SearchForm) {
	var res = '';
	$j(SearchForm).find('div.input').each(
	function() {
		s = $j(this).find('input[id$=Value]').val();
		if ( s != '' && typeof s == "string") {
			if (res != '') {
				res += ' ' + $j(this).find("select[id$=Oper] option:selected").text() + ' '; // AND OR
			}
			res += $j(this).find("select[id$=Field] option:selected").text();
			res += ' = <strong>' + s + '</strong>';
		}
	}
	);
	return res;
}

function search_form_success(responseXML) {
	$("search_progress").hide();
	body = responseXML.documentElement;
	if(body.nodeName == 'error'){
		text = body.textContent || body.text;
		search_form_fail('', text, '');
		return;
	}
	LoadData(responseXML);
	ShowResults();
	$("search_progress").hide();
	return;
}

function search_form_fail(request, textStatus, errorThrown){
	Ext.MessageBox.show({
		title: __('Внимание'),
		msg: __('Запрос завершился ошибкой: '+textStatus),
		buttons: Ext.MessageBox.OK,
		animEl: 'mb9'
	});
	back_to_search();
	return;
}

function new_search() {
	
	back_to_search();
	jQuery("#search_form").clearForm();
	$j('[id*=All]').each(function() {
		this.checked = true;
	});
}

function back_to_search() {
	HideResults();
	$("search_form").show();
	$("search_progress").hide();
	$("results_buttons").hide();
	return;
}

function add_to_bookmark(){
	_redirectIds('index.php?url=/user_card/addbook/');
}

function print(){
	_redirectIds('index.php?url=/books/print_books/');
}

function _redirectIds(URL){
	var ids = [];
	var source = [];
	var id_nom = source_nom = 0;
	
	// todo переписать
	$j(grid.getSelections()).each(function() {
		if(typeof(ids[this.data.SourceName]) == 'undefined'){
		 	ids[this.data.SourceName] = [];
		 	source[source_nom++] = this.data.SourceName;
		}
		ids[this.data.SourceName][id_nom++] = this.data.IdNotice;
	});
	
	params=new Object();
	for(i=0; i<source_nom ; i++){
		params[source[i]] = (ids[source[i]]).join(',');
	}
	
	
	if(id_nom > 0){
		post(URL,  params );
		return;
	}
	
	Ext.MessageBox.show({
		title: __('Внимание'),
		msg: __('Нужно выбать хотя бы одно описание'),
		buttons: Ext.MessageBox.OK,
		animEl: 'mb9'
	});
	return;
}

function do_reservation(button) {
	var req;
	req = getFromStore();

	req.login = $j('#UsagerCodbarU').val(); //$j.extend(req, fields);
	req.password = $j('#UsagerPassword').val();
	$j("#reservation div.message").load(reservUrl+' div.message', req);
}

function putInStore(data) {
	myStore = data;
}

function getFromStore() {
	return myStore;
}

function goToLien(idNoticeTarget, source) {
	if (noticeUrl != "undefined") {
		$j.getJSON(noticeUrl,
		{
			IdNotice: idNoticeTarget,
			Source: source,
			needed: 'json'
		},
		function (json) {
			bookTpl.overwrite($("notice_short_tab"), json);
		});

		LoadIsbd( idNoticeTarget, source);
		LoadExemp(idNoticeTarget, source);
		LoadLiens(idNoticeTarget, source);
	}
}

// take from http://userscripts.org/topics/22491
function post(URL, PARAMS) {
	var form=document.createElement("form");
	form.action=URL;
	form.method="POST";
	form.target="_blank";
	form.style.display="none";
	for(var x in PARAMS) {
		var opt=document.createElement("textarea");
		opt.name=x;
		opt.value=PARAMS[x];
		form.appendChild(opt);
	}
	document.body.appendChild(form);
	form.submit();
	return form;
}
/*
function PrepareMain() {
var ct = new Ext.TabPanel({
renderTo: 'ct',
layout:'border',
defaults: {
collapsible: true,
split: true,
bodyStyle: 'padding:15px'
},
items:[
{contentEl:'search_result'},
{contentEl:'notice_details'}
],
height: 500
})
return ct;
}
*/

/*
function addTab(tabsControl, options){
tabsControl.add({
title: 'New Tab ' + (++index),
iconCls: 'tabs',
html: 'Tab Body ' + (index) + '<br/><br/>'
+ Ext.example.bogusMarkup,
closable:true
}).show();
}
*/