ALTER DATABASE /*db name here*/ SET ARITHABORT ON
GO

sp_fulltext_database 'enable'
GO


/*
 copy ruslr.dll from C:\Program Files\Microsoft SQL Server\MSSQL.1\MSSQL\Binn\ into SySTEM32
  run regsvr32 ruslr.dll


*/

/*
CREATE fulltext catalog absoft AS DEFAULT

select * from sys.fulltext_languages

CREATE FULLTEXT INDEX 
ON NOTICE_Z(Valeur language 'Russian') 
KEY Index PK_NOTICE_Z
*/

/****** :  View [dbo].[view_NOTICE_200ade_503a]     : 12/25/2008 23:07:17 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_NOTICE_200ade_503a]'))
DROP VIEW [dbo].[view_NOTICE_200ade_503a]
GO

CREATE VIEW dbo.view_NOTICE_200ade_503a
WITH SCHEMABINDING
AS
SELECT IdNoticeZ, IdNotice, IdZone, sZone, CAST(valeur AS nvarchar(max)) AS valeur FROM dbo.NOTICE_Z 
WHERE 
((IdZone = '200' AND (szone = 'a' OR szone = 'd' OR szone = 'e')) OR (IdZone = '503' AND szone = 'a'))
GO

CREATE UNIQUE CLUSTERED INDEX view_NOTICE_200ade_503a_IDX ON dbo.view_NOTICE_200ade_503a (IdNoticeZ) 
GO

CREATE INDEX view_NOTICE_200ade_503a_ZS_IDX ON dbo.view_NOTICE_200ade_503a (IdNotice, IdZone, sZone) 
GO

--DROP FULLTEXT CATALOG [cat0]
--DROP FULLTEXT INDEX ON view_NOTICE_200ade_503a

CREATE FULLTEXT CATALOG [cat0]
--IN PATH N'C:\Program Files\Microsoft SQL Server\MSSQL.1\MSSQL\FTData'
WITH ACCENT_SENSITIVITY = OFF
AUTHORIZATION [dbo]

CREATE FULLTEXT INDEX ON [dbo].[view_NOTICE_200ade_503a] (Valeur language 'English') KEY INDEX [view_NOTICE_200ade_503a_IDX] ON [cat0] WITH CHANGE_TRACKING AUTO
GO

GO
/****** :  Index [IX_view_200fg_valeur]     : 12/04/2008 14:03:49 ******/
IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[view_200fg]') AND name = N'IX_view_200fg_valeur')
DROP INDEX [IX_view_200fg_valeur] ON [dbo].[view_200fg] WITH ( ONLINE = OFF )

GO
/****** :  Index [PK_view_200fg]     : 12/04/2008 14:04:22 ******/
IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[view_200fg]') AND name = N'PK_view_200fg')
DROP INDEX [PK_view_200fg] ON [dbo].[view_200fg] WITH ( ONLINE = OFF )

/****** :  View [dbo].[view_200fg]     : 12/04/2008 14:01:26 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_200fg]'))
DROP VIEW [dbo].[view_200fg]

GO
/****** :  View [dbo].[view_200fg]     : 12/04/2008 14:01:47 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[view_200fg]
WITH SCHEMABINDING 
AS
SELECT     dbo.NOTICE_Z.IdNoticeZ, dbo.NOTICE_Z.IdNotice, dbo.NOTICE_Z.IdZone, dbo.NOTICE_Z.sZone, dbo.NOTICE_Z.NumOrdre, dbo.NOTICE_Z.NumOrdre2, 
                      dbo.AUTEUR.IdAuteur, 
CASE
     WHEN AUTEUR.Prenom IS NOT NULL THEN CAST(LEFT(dbo.AUTEUR.Nom, 200) + ' ' + LEFT(dbo.AUTEUR.Prenom, 200) AS nvarchar(401))
     ELSE CAST(LEFT(dbo.AUTEUR.Nom, 200) AS nvarchar(401)) END AS Valeur 
FROM         dbo.NOTICE_Z INNER JOIN
                      dbo.AUTEUR ON dbo.NOTICE_Z.Valeurn = dbo.AUTEUR.IdAuteur
WHERE     (dbo.NOTICE_Z.IdZone = '200') AND (dbo.NOTICE_Z.sZone = 'f') OR
                      (dbo.NOTICE_Z.IdZone = '200') AND (dbo.NOTICE_Z.sZone = 'g')

GO
SET ARITHABORT ON
GO
SET CONCAT_NULL_YIELDS_NULL ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO
SET ANSI_PADDING ON
GO
SET ANSI_WARNINGS ON
GO
SET NUMERIC_ROUNDABORT OFF
GO
/****** :  Index [PK_view_200fg]     : 12/04/2008 14:02:30 ******/
CREATE UNIQUE CLUSTERED INDEX [PK_view_200fg] ON [dbo].[view_200fg] 
(
	[IdNotice] ASC,
	[IdNoticeZ] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = ON, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = OFF) ON [PRIMARY]

CREATE INDEX [IX_view_200fg_IIZS] ON [dbo].[view_200fg] 
(
	[IdNotice] ASC,
	[IdAuteur] ASC,
	[IdZone] ASC,
	[sZone] ASC
) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = ON, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = OFF) ON [PRIMARY] 
GO

GO
SET ARITHABORT ON
GO
SET CONCAT_NULL_YIELDS_NULL ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO
SET ANSI_PADDING ON
GO
SET ANSI_WARNINGS ON
GO
SET NUMERIC_ROUNDABORT OFF
GO
/****** :  Index [IX_view_200fg_valeur]     : 12/04/2008 14:03:00 ******/
CREATE NONCLUSTERED INDEX [IX_view_200fg_valeur] ON [dbo].[view_200fg] 
(
	[Valeur] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = ON, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = OFF) ON [PRIMARY]

/****** :  View [dbo].[view_200c_one_row]     : 12/26/2008 10:48:04 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_200c_one_row]'))
DROP VIEW [dbo].[view_200c_one_row]
GO

--=============================================================================================================

GO
/****** :  Index [IX_vew_210c]     : 12/04/2008 14:05:39 ******/
IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[view_210c]') AND name = N'IX_vew_210c')
DROP INDEX [IX_vew_210c] ON [dbo].[view_210c] WITH ( ONLINE = OFF )

GO
/****** :  Index [PK_view_210c]     : 12/04/2008 14:06:02 ******/
IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[view_210c]') AND name = N'PK_view_210c')
DROP INDEX [PK_view_210c] ON [dbo].[view_210c] WITH ( ONLINE = OFF )

GO
/****** :  View [dbo].[view_210c]     : 12/04/2008 14:06:22 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_210c]'))
DROP VIEW [dbo].[view_210c]

GO
/****** :  View [dbo].[view_210c]     : 12/04/2008 14:06:39 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[view_210c]
WITH SCHEMABINDING 
AS
SELECT     dbo.NOTICE_Z.IdNoticeZ, dbo.NOTICE_Z.IdNotice, dbo.NOTICE_Z.IdZone, dbo.NOTICE_Z.sZone, dbo.NOTICE_Z.NumOrdre, dbo.NOTICE_Z.NumOrdre2, 
                      CAST(dbo.EDITEUR.Nom AS nvarchar(200)) AS Valeur
FROM         dbo.NOTICE_Z INNER JOIN
                      dbo.EDITEUR ON dbo.NOTICE_Z.Valeurn = dbo.EDITEUR.IdEditeur
WHERE     (dbo.NOTICE_Z.IdZone = '210') AND (dbo.NOTICE_Z.sZone = 'c') OR
                      (dbo.NOTICE_Z.IdZone = '210') AND (dbo.NOTICE_Z.sZone = 'c')

GO
SET ARITHABORT ON
GO
SET CONCAT_NULL_YIELDS_NULL ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO
SET ANSI_PADDING ON
GO
SET ANSI_WARNINGS ON
GO
SET NUMERIC_ROUNDABORT OFF
GO
/****** :  Index [PK_view_210c]     : 12/04/2008 14:06:58 ******/
CREATE UNIQUE CLUSTERED INDEX [PK_view_210c] ON [dbo].[view_210c] 
(
	[IdNotice] ASC,
	[IdNoticeZ] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = ON, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = OFF) ON [PRIMARY]

GO
SET ARITHABORT ON
GO
SET CONCAT_NULL_YIELDS_NULL ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO
SET ANSI_PADDING ON
GO
SET ANSI_WARNINGS ON
GO
SET NUMERIC_ROUNDABORT OFF
GO
/****** :  Index [IX_vew_210c]     : 12/04/2008 14:07:25 ******/
CREATE NONCLUSTERED INDEX [IX_view_210c] ON [dbo].[view_210c] 
(
	[IdZone] ASC,
	[sZone] ASC
) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = ON, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = OFF) ON [PRIMARY]

CREATE NONCLUSTERED INDEX [IX_view_210c_Valeur] ON [dbo].[view_210c] 
(
[Valeur] ASC
) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = ON, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = OFF) ON [PRIMARY]
GO

CREATE VIEW view_200c_one_row
AS
SELECT v1.*
FROM   view_210c AS v1 WITH (NOEXPAND) RIGHT JOIN
(SELECT IdNotice, IdZone, min(IdNoticeZ) as IdNoticeZ FROM view_210c WITH (NOEXPAND) GROUP BY IdNotice, IdZone) AS v2 ON v1.IdNoticeZ = v2.IdNoticeZ
GO

/****** Object:  View [dbo].[view_NOTICE_01x]    Script Date: 12/26/2008 09:50:30 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_NOTICE_01x]'))
DROP VIEW [dbo].[view_NOTICE_01x]

/****** Object:  View [dbo].[view_NOTICE_01x]    Script Date: 12/26/2008 09:48:03 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[view_NOTICE_01x]
WITH SCHEMABINDING
AS
SELECT     IdNoticeZ, IdNotice, IdZone, sZone, NumOrdre, CAST(LEFT(Valeur, 200) AS nvarchar(200)) AS Valeur, CAST(LEFT(REPLACE(LEFT(Valeur, 200), '-', ''),200) AS nvarchar(200)) AS ValRecherche
FROM         dbo.NOTICE_Z
WHERE     (IdZone LIKE N'01%')
GO

SET CONCAT_NULL_YIELDS_NULL ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO
SET ANSI_PADDING ON
GO
SET ANSI_WARNINGS ON
GO
SET NUMERIC_ROUNDABORT OFF
GO
/****** Object:  Index [PK_view_NOTICE_01x]    Script Date: 12/26/2008 09:51:04 ******/
CREATE UNIQUE CLUSTERED INDEX [PK_view_NOTICE_01x] ON [dbo].[view_NOTICE_01x] 
(
	IdNoticeZ ASC,
	IdNotice  ASC
)WITH (PAD_INDEX  = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, IGNORE_DUP_KEY = OFF, ONLINE = OFF) ON [PRIMARY]
GO

/****** Object:  Index [IDX_NOTICE_01x]    Script Date: 12/26/2008 09:50:53 ******/
CREATE NONCLUSTERED INDEX [IDX_NOTICE_01x] ON [dbo].[view_NOTICE_01x] 
(
	[IdNotice] ASC,
	[IdZone] ASC,
	[sZone] ASC,
	[NumOrdre] ASC,
	[ValRecherche] ASC
)WITH (PAD_INDEX  = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, IGNORE_DUP_KEY = OFF, ONLINE = OFF) ON [PRIMARY]
GO
